Bug 1122175 - Wrong option in the man page for fgfs
Summary: Wrong option in the man page for fgfs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: FlightGear
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Fabrice Bellet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 17:22 UTC by Peter Gervase
Modified: 2015-06-29 21:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:52 UTC


Attachments (Terms of Use)

Description Peter Gervase 2014-07-22 17:22:49 UTC
Description of problem:
In the man page for fgfs, it has
       --airport-id=id
              Specify starting postion by airport ID.

which isn't correct. It should be just plain --airport.

Version-Release number of selected component (if applicable):
FlightGear-2.12.0-1.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. $ fgfs --airport-id=keri
2.
3.

Actual results:
$ fgfs --airport-id=keri
unknown option:airport-id


Usage: fgfs [ option ... ]

General Options:
   --help, -h                   Show the most relevant command line options
   --verbose, -v                Show all command line options when combined
                                with --help or -h
   --fg-root=path               Specify the root data path
   --fg-scenery=path            Specify the scenery path(s);
                                Defaults to $FG_ROOT/Scenery
   --fg-aircraft=path           Specify additional aircraft directory path(s)
   --language=code              Select the language for this session

Aircraft:
   --aircraft=name              Select an aircraft profile as defined by a top
                                level <name>-set.xml
   --show-aircraft              Print a list of the currently available
                                aircraft types

   --min-status={alpha,beta,early-production,production}
                                Allows you to define a minimum status level
                                (=development status) for all listed aircraft

Initial Position and Orientation:
   --airport=ID                 Specify starting position relative to an
                                airport
   --runway=rwy_no              Specify starting runway (must also specify an
                                airport)
   --carrier=[name|ID]          Specify starting position on an AI carrier

For a complete list of options use --help --verbose
Segmentation fault


Expected results:
The program to start with that option used.

Additional info:
If you use "--airport=ID" like the help info has, that works, but the man page is incorrect.
It looks like this has been corrected in 
http://mirror.pnl.gov/fedora/linux/development/rawhide/source/SRPMS/f/FlightGear-3.0.0-7.fc22.src.rpm
and
http://mirror.pnl.gov/fedora/linux/development/21/source/SRPMS/f/FlightGear-3.0.0-7.fc21.src.rpm
but I didn't see any update for the Fedora 20 version, so please backport the correction.

Comment 1 Fedora End Of Life 2015-05-29 12:26:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:41:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.